# $Revision: 1.20 $, $Date: 2010/05/10 22:18:59 $
#
# Conditional build:
%bcond_without	examples	# don't build example
#
Summary:	GNOME dialogs for PolicyKit
Summary(pl.UTF-8):	Okna dialogowe GNOME dla pakietu PolicyKit
Name:		PolicyKit-gnome
Version:	0.9.2
Release:	4
License:	LGPL v2+ (polkit-gnome library), GPL v2+ (D-Bus service)
Group:		X11/Applications
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	fc478b168d0c926a9766b0b415ff4bbf
Patch0:		%{name}-fix-clickable-buttons.patch
Patch1:		%{name}-desktop.patch
URL:		http://people.freedesktop.org/~david/polkit-spec.html
BuildRequires:	GConf2-devel
BuildRequires:	PolicyKit-devel >= 0.9
%{?with_examples:BuildRequires:	PolicyKit}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PolicyKit-gnome provides a D-BUS session bus service that is used to
bring up authentication dialogs used for obtaining privileges.

%description -l pl.UTF-8
Pakiet PolicyKit-gnome udostępnia usługę magistrali sesji D-BUS
służącą do wyświetlania okien dialogowych uwierzytelniania w celu
uzyskania uprawnień.

%package libs
Summary:	PolicyKit add-on library for GNOME
Summary(pl.UTF-8):	Dodatkowa biblioteka PolicyKit dla GNOME
Group:		X11/Libraries
Requires:	PolicyKit-libs >= 0.9
Requires:	gtk+2 >= 2:2.12.0

%description libs
PolicyKit add-on library for GNOME.

%description libs -l pl.UTF-8
Dodatkowa biblioteka PolicyKit dla GNOME.

%package devel
Summary:	Header files for polkit-gnome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki polkit-gnome
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	PolicyKit-devel >= 0.9
Requires:	dbus-devel >= 1.0
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libselinux-devel >= 1.30

%description devel
Header files for polkit-gnome library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki polkit-gnome.

%package static
Summary:	Static polkit-gnome library
Summary(pl.UTF-8):	Statyczna biblioteka polkit-gnome
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static polkit-gnome library.

%description static -l pl.UTF-8
Statyczna biblioteka polkit-gnome.

%package apidocs
Summary:	polkit-gnome library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki polkit-gnome
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
polkit-gnome library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki polkit-gnome.

%package demo
Summary:	Demo application for PolicyKit-gnome
Summary(pl.UTF-8):	Aplikacja demonstracyjna dla pakietu PolicyKit-gnome
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description demo
PolicyKit-gnome-demo provides a sample application that demonstrates
the features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.

%description demo -l pl.UTF-8
Pakiet PolicyKit-gnome-demo zawiera przykładową aplikację
demonstrującą możliwości pakietów PolicyKit i PolicyKit-gnome. Zwykle
ten pakiet nie powinien być instalowany.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_examples:--disable-examples} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install polkit-gnome.schemas

%preun
%gconf_schema_uninstall polkit-gnome.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/polkit-gnome-authorization
%attr(755,root,root) %{_libdir}/polkit-gnome-manager
%{_sysconfdir}/gconf/schemas/polkit-gnome.schemas
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.service
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service
%{_datadir}/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_desktopdir}/polkit-gnome-authorization.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-gnome.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-gnome.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-gnome.so
%{_libdir}/libpolkit-gnome.la
%{_includedir}/PolicyKit/polkit-gnome
%{_pkgconfigdir}/polkit-gnome.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpolkit-gnome.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/polkit-gnome

%if %{with examples}
%files demo
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/polkit-gnome-example
%{_datadir}/PolicyKit/policy/org.gnome.policykit.examples.policy
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PolicyKit-gnome.spec,v $
Revision 1.20  2010/05/10 22:18:59  baggins
- rel 4
- change desktop categories to something that makes sense

Revision 1.19  2009/11/28 01:35:27  sparky
- BR: docbook-dtd412-xml

Revision 1.18  2009/05/07 12:11:49  megabajt
- added -fix-clickable-buttons.patch
- release 3

Revision 1.17  2008/11/09 14:02:13  megabajt
- release 2

Revision 1.16  2008/09/27 19:24:15  megabajt
- updated to 0.9.2; merged changes from DEVEL

Revision 1.15  2008/09/19 20:48:24  qboosh
- bcond usage fix

Revision 1.14.2.1  2008/08/20 08:00:37  patrys
- 0.9.1

Revision 1.14  2008/08/19 20:05:16  patrys
- typo i scripts
- rel 2

Revision 1.13  2008/08/18 22:00:07  megabajt
- updated to 0.9
- added -apidocs subpackage

Revision 1.12  2008/04/19 21:18:19  megabajt
- updated to 0.8
- removed -link.patch (applied upstream)

Revision 1.11  2008-04-17 21:59:10  megabajt
- release 2

Revision 1.10  2008-03-25 20:58:36  sls
- added examples bcond

Revision 1.9  2008-01-06 00:13:41  megabajt
- run ldconfig in %post / %postun

Revision 1.8  2008-01-04 01:52:56  qboosh
- added link patch, fixed files
- release 1

Revision 1.7  2007-12-16 03:44:14  qboosh
- up to 0.7 (not tested)

Revision 1.6  2007-10-30 21:48:02  qboosh
- updated pl (lazy developers :/)

Revision 1.5  2007/10/17 13:37:13  megabajt
- added demo subpackage and TODO
- release 1

Revision 1.4  2007/10/13 20:48:07  megabajt
- updated to 0.6
- release 0.1 NFY

Revision 1.3  2007/09/08 16:07:56  patrys
- 0.5

Revision 1.2  2007/09/08 13:48:37  qboosh
- updated Source URL

Revision 1.1  2007/07/07 23:24:13  qboosh
- new
